Disconnect customer integration
Disconnects the integration for the authenticated workspace (tenant): removes stored credentials and deletes this tenant’s integration record. The operation is scoped to the caller’s tenant; it does not remove partner-side state for other workspaces that reuse the same logical customer integration. The record cannot be recovered after delete.
DELETE
/
screening
/
trlink
/
customers
/
integration
/
{customerIntegrationId}
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.tRLink.disconnectTRLinkIntegration(tRLinkApiDisconnectTRLinkIntegrationRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.tRLink().disconnectTRLinkIntegration(customerIntegrationId);response = fireblocks.t_r_link.disconnect_t_r_link_integration(customer_integration_id);curl --request DELETE \
--url https://api.fireblocks.io/v1/screening/trlink/customers/integration/{customerIntegrationId}const options = {method: 'DELETE'};
fetch('https://api.fireblocks.io/v1/screening/trlink/customers/integration/{customerIntegrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"code": 123
}Path Parameters
Customer integration unique identifier
Response
Customer integration disconnected successfully
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.tRLink.disconnectTRLinkIntegration(tRLinkApiDisconnectTRLinkIntegrationRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.tRLink().disconnectTRLinkIntegration(customerIntegrationId);response = fireblocks.t_r_link.disconnect_t_r_link_integration(customer_integration_id);